document.getElementById('emailImpactForm').addEventListener('submit', function(event) {
  event.preventDefault();

  const subscribers = parseInt(document.getElementById('subscribers').value);
  const openRate = parseInt(document.getElementById('openRate').value) / 100;
  const clickRate = parseInt(document.getElementById('clickRate').value) / 100;
  const conversionRate = parseInt(document.getElementById('conversionRate').value) / 100;
  const averageOrderValue = parseFloat(document.getElementById('averageOrderValue').value);

  const impactScore = subscribers * openRate * clickRate * conversionRate * averageOrderValue;

  document.getElementById('impactScore').textContent = `$${impactScore.toFixed(2)}`;
  document.getElementById('impactDescription').textContent = 'This is the estimated revenue impact of your email marketing efforts.';

  document.getElementById('result').classList.remove('hidden');
});